## memstat 0.2

=== Makefile ===
#
# Makefile for memstat for Debian GNU/Linux
# Copyright 1998, by Bernd Eckenfels <ecki@debian.org>
# This file is under the GPL.
#
memstat: memstat.c

clean:
	rm -f memstat.o memstat DEADJOE *~ */*~

install: memstat
	install -d $(prefix)/bin/
	install -g root -o root -m755 memstat $(prefix)/bin/memstat

=== debian/changelog ===
memstat (0.2) unstable; urgency=low

  * support for path in maps files (#23099, #31043, #49855, #50700, #22674)
  * added libc5 compat dirs (#34326)
  * started to maintain the package upstream
  * no compiler warnings and lintian clean (support for /usr/share)
  * new standards version

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 20 Nov 1999 18:40:23 +0100

memstat (0.1-3) unstable; urgency=low

  * removed double /usr/local/bin in conffile (Bug#22674)
  * moved man page to section 1 and meminfo -> memstat (Bug#23096)
  * added debian/conffiles to .deb archives control dir (Bug#27818)

 -- Bernd Eckenfels <ecki@debian.org>  Sun,  1 Nov 1998 09:08:05 +0100

memstat (0.1-2) unstable; urgency=low

  * modified manpage to show new 'unknown' format and fix Bug#21360

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 18 Apr 1998 21:58:23 +0200

memstat (0.1-1) unstable; urgency=low

  * changed the output from unknown files to "[<dev>]:<inode>"
  * Initial Release

 -- Bernd Eckenfels <ecki@debian.org>  Mon,  6 Apr 1998 22:56:41 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: memstat
Section: admin
Priority: optional
Maintainer: Bernd Eckenfels <ecki@debian.org>
Standards-Version: 3.1.1.0

Package: memstat
Architecture: any
Depends: ${shlibs:Depends}
Description: Identify what's using up virtual memory.
 Lists all the processes, executables, and shared libraries
 that are using up virtual memory. It's helpful to see how the
 shared memory is used and which 'old' libs are loaded.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for memstat
#
# based on debian.rules from hello.deb (Ian Jackson)
# Changes are Copyright 1998 by Bernd Eckenfels
#
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=memstat

build:
	$(checkdir)
	$(MAKE) CFLAGS="-O2 -Wall -g" LDFLAGS=-s prefix=/usr
	strip memstat
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf *~ *.o memstat debian/tmp debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/share/doc/$(package)
	install -d debian/tmp/usr/share/man/man1/
	install -d debian/tmp/etc
	$(MAKE) prefix=debian/tmp/usr install
	cp memstat.8 debian/tmp/usr/share/man/man1/memstat.1
	cp debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
	cp memstat.tut debian/tmp/usr/share/doc/$(package)/memstat-tutorial.txt
	cp memstat.conf debian/tmp/etc/
	cp debian/conffiles debian/postinst debian/prerm debian/tmp/DEBIAN/
	chmod 644 debian/tmp/usr/share/man/man1/* debian/tmp/usr/share/doc/$(package)/*
	dpkg-shlibdeps memstat
	dpkg-gencontrol
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_builddeb

define checkdir
	test -f $(package).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## memstat 0.4

=== debian/changelog ===
memstat (0.4) unstable; urgency=high

  * make fscanf buffer bigger and more dynamic (Closes: Bug#5544)
  * less verbose postinst (Closes: Bug#97400)

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 12 Jul 2002 05:37:51 +0200

memstat (0.3) unstable; urgency=low

  * catch null pointer in reallof (Closes Bug: #108767)
  * new policy version (3.5.6) and use of strip/debug switches
  * includes Build-Depends now
  * lintian clean (added Priority, fixed spelling, added -isp)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 23 May 2002 04:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Bernd Eckenfels <ecki@debian.org>
-Standards-Version: 3.1.1.0
+Standards-Version: 3.5.6.0
+Build-Depends: debhelper
 
 Package: memstat
 Architecture: any
+Priority: optional
 Depends: ${shlibs:Depends}
 Description: Identify what's using up virtual memory.
  Lists all the processes, executables, and shared libraries

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 
 build:
 	$(checkdir)
-	$(MAKE) CFLAGS="-O2 -Wall -g" LDFLAGS=-s prefix=/usr
-	strip memstat
+	$(MAKE) prefix=/usr
 	touch build
 
 clean:
@@ -45,7 +44,8 @@
 	cp debian/conffiles debian/postinst debian/prerm debian/tmp/DEBIAN/
 	chmod 644 debian/tmp/usr/share/man/man1/* debian/tmp/usr/share/doc/$(package)/*
 	dpkg-shlibdeps memstat
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_md5sums

## memstat 0.4.0.0.1

=== Makefile ===
#
# Makefile for memstat for Debian GNU/Linux
# Copyright 1998, by Bernd Eckenfels <ecki@debian.org>
# This file is under the GPL.
#
CFLAGS = -O2 -Wall
prefix = /usr/local

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

memstat: memstat.c

clean:
	rm -f memstat.o memstat DEADJOE *~ */*~

install: memstat
	$(INSTALL_DIR) $(prefix)/bin/
	$(INSTALL_PROGRAM) memstat $(prefix)/bin/memstat

=== debian/changelog ===
memstat (0.4.0.0.1) unstable; urgency=low

  * Non-maintainer upload (take two.. where did the first one go?)
  * Complete /usr/oc transition. Closes: #322749

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 01:28:34 -0500

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
 	cp memstat.tut debian/tmp/usr/share/doc/$(package)/memstat-tutorial.txt
 	cp memstat.conf debian/tmp/etc/
-	cp debian/conffiles debian/postinst debian/prerm debian/tmp/DEBIAN/
+	cp debian/conffiles debian/tmp/DEBIAN/
 	chmod 644 debian/tmp/usr/share/man/man1/* debian/tmp/usr/share/doc/$(package)/*
 	dpkg-shlibdeps memstat
 	dpkg-gencontrol -isp

## memstat 0.5

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,12 @@
 # This file is under the GPL.
 #
 CFLAGS = -O2 -Wall
-prefix = /usr/local
+prefix = $(DESTDIR)/
+exec_prefix = $(prefix)/usr
 
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -23,5 +25,6 @@
 	rm -f memstat.o memstat DEADJOE *~ */*~
 
 install: memstat
-	$(INSTALL_DIR) $(prefix)/bin/
-	$(INSTALL_PROGRAM) memstat $(prefix)/bin/memstat
+	$(INSTALL_PROGRAM) memstat $(exec_prefix)/bin/memstat
+	$(INSTALL_FILE) memstat.conf $(prefix)/etc
+

=== debian/changelog ===
memstat (0.5) unstable; urgency=low

  * New maintainer, closes: #485998
  * Aknowledged NMU, closes: #322749
  * Fixed compiler warnings by applying patch, closes: #356024
  * Fixed wrong pathname problem by applying patch, closes: #294635, #279117
  * Bumped Standards-Version to 3.8.0.
  * Bumped debhelper compat version to 7.
  * Simplified rules file.

 -- Michael Meskes <meskes@debian.org>  Fri, 13 Jun 2008 16:54:39 +0200

=== debian/control ===
Source: memstat
Section: admin
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 7)

Package: memstat
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}
Description: Identify what's using up virtual memory
 Lists all the processes, executables, and shared libraries
 that are using up virtual memory. It's helpful to see how the
 shared memory is used and which 'old' libs are loaded.

## memstat 0.8

=== debian/changelog ===
memstat (0.8) unstable; urgency=low

  * Fixed handling of dev attribute. The old version failed to work under some
    circumstances, closes: #531757
  * Re-added output of PIDs that was somehow lost, closes: #531682

 -- Michael Meskes <meskes@debian.org>  Mon, 08 Jun 2009 14:15:57 +0200

memstat (0.7) unstable; urgency=low

  * If a process is stopped while processing, memstat no longer stops, but
    instead prints out an error and continues working, closes: #531435

 -- Michael Meskes <meskes@debian.org>  Tue, 02 Jun 2009 15:13:00 +0200

memstat (0.6) unstable; urgency=low

  * Corrected path in reference to memstat-tutorial.txt.gz, closes: #502844
  * Made program read name of executable instead of guessing it from the memory
    information, closes: #503026
  * Added option to only show information for one process.
  * Do not list memory mapping devices, closes: #47260, #58290, #108510
  * List all other device mappings, closes: #496778
  * Count double mapped pages twice, closes: #496777
  * Completely redid the whol calculation part.
  * Bumped Standards-Version to 3.8.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 06 Apr 2009 16:11:19 +0200

=== debian/control ===
Source: memstat
Section: admin
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Standards-Version: 3.8.1
Build-Depends: debhelper (>= 7)

Package: memstat
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Identify what's using up virtual memory
 Lists all the processes, executables, and shared libraries
 that are using up virtual memory. It's helpful to see how the
 shared memory is used and which 'old' libs are loaded.

## memstat 0.9

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Copyright 1998, by Bernd Eckenfels <ecki@debian.org>
 # This file is under the GPL.
 #
-CFLAGS = -O2 -Wall
+CFLAGS = -g -Wall -O2
 prefix = $(DESTDIR)/
 exec_prefix = $(prefix)/usr

=== debian/changelog ===
memstat (0.9) unstable; urgency=low

  * Set errno to 0 before running strtol so the check afterwards works,
    closes: #611181
  * Bumped Standards-Version to 3.9.1, no changes needed.
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Mon, 31 Jan 2011 12:03:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7)
 
 Package: memstat
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Identify what's using up virtual memory
  Lists all the processes, executables, and shared libraries

## memstat 1.0

=== debian/changelog ===
memstat (1.0) unstable; urgency=low

  * Updated copyright statement
  * Automatically scan subdirectories.
  * Use standard scanf option.
  * Added "-n" option to prevent searching for filenames.
  * Added "-v" option to display version information.
  * Bumped Standards-Version to 3.9.4, no changes needed.
  * Moved to debhelper 9 to get hardening automatically.

 -- Michael Meskes <meskes@debian.org>  Sun, 10 Nov 2013 15:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
 
 Package: memstat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

## memstat 1.1

=== debian/changelog ===
memstat (1.1) unstable; urgency=medium

  * Switched to debhelper 11. (Closes: #866025)
  * Bumped Standards-Version tp 4.1.3, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Fri, 09 Feb 2018 22:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
 
 Package: memstat
 Architecture: any

## memstat 1.1%2Bnmu1build1

=== debian/changelog ===
memstat (1.1+nmu1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:55:18 +1100

memstat (1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007485)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 15:13:24 +0000

## memstat 1.1%2Bnmu2

=== debian/changelog ===
memstat (1.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089385)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 14:39:49 +0000

## memstat 1.1+nmu1build1

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,9 @@
 exec_prefix = $(prefix)/usr
 
 INSTALL = install
-INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_PROGRAM = $(INSTALL) -p -s -o root -g root  -m  755
 INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
-
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -g
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-INSTALL_PROGRAM += -s
-endif
 
 memstat: memstat.c

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: memstat
 Section: admin
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
 Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 11)

## memstat 1.1+nmu2

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 exec_prefix = $(prefix)/usr
 
 INSTALL = install
-INSTALL_PROGRAM = $(INSTALL) -p -s -o root -g root  -m  755
-INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
-INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
+INSTALL_PROGRAM = $(INSTALL) -p -s -m  755
+INSTALL_FILE    = $(INSTALL) -p    -m  644
+INSTALL_DIR     = $(INSTALL) -p -d -m  755
 
 memstat: memstat.c

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: memstat
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
+Maintainer: Michael Meskes <meskes@debian.org>
+Rules-Requires-Root: no
 Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 11)

## memstat 1.1+nmu2build1

=== debian/changelog ===
memstat (1.1+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 13:50:11 +0000

## memstat 1.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Copyright 1998, by Bernd Eckenfels <ecki@debian.org>
 # This file is under the GPL.
 #
-CFLAGS = -g -Wall -O2
+CFLAGS += -g -Wall -O2
 prefix = $(DESTDIR)/
 exec_prefix = $(prefix)/usr

=== debian/changelog ===
memstat (1.2) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * d/copyright
     - DEP5
     - review (Closes: #989578)
  * d/rules.dh: removed
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Use preset CFLAGS
    Closes: #1119484

 -- Michael Meskes <meskes@debian.org>  Mon, 26 Jan 2026 16:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: memstat
 Section: admin
-Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
-Rules-Requires-Root: no
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.7.3
+Build-Depends: debhelper-compat (= 13)
+Vcs-Browser: https://salsa.debian.org/debian/memstat
+Vcs-Git: https://salsa.debian.org/debian/memstat.git
 
 Package: memstat
 Architecture: any
